Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ appendices/dependencies.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -62,5 +62,5 @@
 
         <seglistitem>
-          <seg>Systemd</seg>
+          <seg>Coreutils, Sed, Systemd, Tar, Vim</seg>
         </seglistitem>
       </segmentedlist>
@@ -98,5 +98,5 @@
 
         <seglistitem>
-          <seg>Systemd</seg>
+          <seg>Acl, Libcap, Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -170,5 +170,5 @@
 
         <seglistitem>
-          <seg>Tar, Vim</seg>
+          <seg>None</seg>
         </seglistitem>
       </segmentedlist>
@@ -2126,6 +2126,7 @@
 
         <seglistitem>
-         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, Expat, Gawk, GCC,
-         Glibc, Gperf, Grep, Intltool, Libcap, Make, Sed, and Util-linux</seg>
+         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, Expat, Gawk,
+         GCC, Glibc, Gperf, Grep, Intltool, Libcap,
+         Make, Sed, and Util-linux</seg>
         </seglistitem>
       </segmentedlist>
@@ -2358,5 +2359,5 @@
 
         <seglistitem>
-          <seg>None</seg>
+          <seg>Intltool</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter01/changelog.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -37,18 +37,69 @@
 -->
     <listitem>
+      <para>2014-09-09</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Merged LFS SVN-20140909.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Switched from glibc-2.20 snapshot
+          to glibc-2.20 release.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-09-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add upstream patches to gcc.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.16.2.  Fixes 
+          <ulink url="&lfs-ticket-root;3668">#3668</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.72. Fixes
+          <ulink url="&lfs-ticket-root;3669">#3669</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.25.1.  Fixes 
+          <ulink url="&lfs-ticket-root;3666">#3666</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove reference to defunct web site.  Fixes 
+          <ulink url="&lfs-ticket-root;3665">#3665</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-08-31</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.42.12.  Fixes 
+          <ulink url="&lfs-ticket-root;3663">#3663</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata2014g. </para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-08-21</para>
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update bash patches.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.71.  Fixes 
+          <ulink url="&lfs-ticket-root;3660">#3660</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to glibc-2.20 (snapshot).</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - Updated to systemd-216.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to glibc-2.20 (snapshot).</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated patch for bash.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to man-pages-3.71. Fixes
-          <ulink url="&lfs-ticket-root;3660">#3660</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter01/whatsnew.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -25,5 +25,5 @@
     <!--<listitem>
     <para>None</para>
-    </listitem>-->
+    </listitem> -->
     <!--<listitem>
       <para>Acl-&acl-version;</para>
@@ -95,7 +95,7 @@
       <para>Gettext &gettext-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>GMP &gmp-version;</para>
@@ -200,7 +200,7 @@
       <para>Tar &tar-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>TCL &tcl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
@@ -250,9 +250,10 @@
       <para>&binutils-lto-testsuite-patch;</para>
     </listitem>
-<!--
-    <listitem>
-      <para>&coreutils-shuf-segfault-patch;</para>
-    </listitem>
- -->
+    <listitem>
+      <para>&gcc-upstream-patch;</para>
+    </listitem>
+    <listitem>
+      <para>&glibc-fhs-patch;</para>
+    </listitem>
     <listitem>
       <para>&mpfr-fixes-patch;</para>
@@ -272,4 +273,8 @@
 
     <listitem>
+      <para>glibc-2.19-fhs-1.patch</para>
+    </listitem>
+
+    <listitem>
       <para>mpfr-3.1.2-upstream_fixes-1.patch</para>
     </listitem>
Index: chapter02/mounting.xml
===================================================================
--- chapter02/mounting.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter02/mounting.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -49,7 +49,6 @@
   <option>nodev</option> options). Run the <command>mount</command> command
   without any parameters to see what options are set for the mounted LFS
-  partition. If <option>nosuid</option>, <option>nodev</option>, and/or
-  <option>noatime</option> are set, the partition will need to be
-  remounted.</para>
+  partition. If <option>nosuid</option> and/or <option>nodev</option> are set,
+  the partition will need to be remounted.</para>
 
   <para>If you are using a <systemitem
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter03/packages.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -246,14 +246,4 @@
         <para>Download: <ulink url="&glibc-url;"/></para>
         <para>MD5 sum: <literal>&glibc-md5;</literal></para>
-
-        <note>
-          <para>The source tarball above represents a git
-          snapshot of what is expected to become Glibc 2.20.
-          It was created and signed by Armin K. because official
-          Glibc 2.20 tarball wasn't released in time for LFS
-          systemd release candidate. We will switch to the
-          official tarball as soon as it is available and
-          make sure we ship it for the final 7.6 release.</para>
-        </note>
       </listitem>
     </varlistentry>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter03/patches.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -84,5 +84,5 @@
     </varlistentry>
 -->
-<!--
+
     <varlistentry>
       <term>Gcc Upstream Patch - <token>&gcc-upstream-patch-size;</token>:</term>
@@ -92,5 +92,5 @@
       </listitem>
     </varlistentry>
--->
+
     <varlistentry>
       <term>Glibc FHS Patch - <token>&glibc-fhs-patch-size;</token>:</term>
Index: chapter04/aboutsbus.xml
===================================================================
--- chapter04/aboutsbus.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter04/aboutsbus.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -37,23 +37,23 @@
   numbers can vary by as much as dozens of minutes in some cases.</para>
 
-  <note><para>For many modern systems with multiple processors (or cores) the
-  compilation time for a package can be reduced by performing a "parallel make"
-  by either setting an environment variable or telling the
-  <command>make</command> program how many processors are available.  For
-  instance, a Core2Duo can support two simultaneous processes with:</para>
+  <note>
+    <para>For many modern systems with multiple processors (or cores) the
+    compilation time for a package can be reduced by performing a "parallel
+    make" by either setting an environment variable or telling the
+    <command>make</command> program how many processors are available.  For
+    instance, a Core2Duo can support two simultaneous processes with:</para>
 
-  <screen><userinput>export MAKEFLAGS='-j 2'</userinput></screen>
+    <screen><userinput>export MAKEFLAGS='-j 2'</userinput></screen>
 
-  <para>or just building with:</para>
+    <para>or just building with:</para>
 
-  <screen><userinput>make -j2</userinput></screen>
+    <screen><userinput>make -j2</userinput></screen>
 
-  <para>When multiple processors are used in this way, the SBU units in the
-  book will vary even more than they normally would.  Analyzing the output of
-  the build process will also be more difficult because the lines of different
-  processes will be interleaved.  If you run into a problem with a build step,
-  revert back to a single processor build to properly analyze the error
-  messages.</para>
-
+    <para>When multiple processors are used in this way, the SBU units in the
+    book will vary even more than they normally would.  In some cases, the make
+    step will simply fail.  Analyzing the output of the build process will also
+    be more difficult because the lines of different processes will be
+    interleaved.  If you run into a problem with a build step, revert back to a
+    single processor build to properly analyze the error messages.</para>
   </note>
 
Index: chapter06/acl.xml
===================================================================
--- chapter06/acl.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/acl.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -68,5 +68,5 @@
     <para>The Acl tests need to be run on a filesystem that supports access
     controls after <application>Coreutils</application> has been built with the
-    Acl libraries.  If desired, return to this package and run <command>make
+    Acl libraries.  If desired, return to this package and run <command>make -j1
     tests</command> after <application>Coreutils</application> has been built
     later in this chapter.</para>
Index: chapter06/attr.xml
===================================================================
--- chapter06/attr.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/attr.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -61,8 +61,9 @@
 
     <para>The tests need to be run on a filesystem that supports extended
-    attributes such as the ext2, ext3, or ext4 filesystems. To test the
-    results, issue:</para>
+    attributes such as the ext2, ext3, or ext4 filesystems. The tests are also
+    known to fail if running multiple simultaneous tests (-j option greater than
+    1).  To test the results, issue:</para>
 
-<screen><userinput remap="test">make tests root-tests</userinput></screen>
+<screen><userinput remap="test">make -j1 tests root-tests</userinput></screen>
 
     <para>Install the package:</para>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/binutils.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -121,7 +121,4 @@
 <screen><userinput remap="test">make -k check</userinput></screen>
 
-    <para>Six tests in the lto.exp testsuite are known to fail due
-    to changes in the most recent version of GCC.</para>
-
     <para>Install the package:</para>
 
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/createfiles.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -17,4 +17,8 @@
   <indexterm zone="ch-system-createfiles">
     <primary sortas="e-/etc/group">/etc/group</primary>
+  </indexterm>
+
+  <indexterm zone="ch-system-createfiles">
+    <primary sortas="e-/var/run/utmp">/var/run/utmp</primary>
   </indexterm>
 
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/e2fsprogs.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -106,6 +106,6 @@
           <systemitem class="library">libblkid</systemitem> libraries, the
           <systemitem class="daemon">uuidd</systemitem> daemon, and the
-          <command>fsck</command> wrapper, as Util-Linux installed all of
-          them earlier.</para>
+          <command>fsck</command> wrapper, as Util-Linux installs more
+          recent versions.</para>
         </listitem>
       </varlistentry>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/gcc.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -46,10 +46,10 @@
 <screen><userinput remap="pre">sed -i 's/if \((code.*))\)/if (\1 \&amp;\&amp; \!DEBUG_INSN_P (insn))/' gcc/sched-deps.c</userinput></screen>
 
-<!--
+
     <para>First fix a problem identified upstream that causes some 
     programs to fail:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&gcc-upstream-patch;</userinput></screen>
--->
+
 <!--
     <para>As in <xref linkend="ch-tools-gcc-pass2"/>, apply the following
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/glibc.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -109,14 +109,12 @@
     any of the test failures listed below. Now test the build results:</para>
 
-<screen><userinput remap="test">make -k check</userinput></screen>
-
-    <para><!--You will probably see an expected (ignored) failure in the
-    <emphasis>posix/annexc</emphasis> and
-    <emphasis>conform/run-conformtest</emphasis> tests.  In addition t-->The Glibc
-    test suite is somewhat dependent on the host system.  This is a list of the
-    most common issues:</para>
+<screen><userinput remap="test">make check</userinput></screen>
+
+    <para>You will probably see some test failures.  The Glibc test suite is
+    somewhat dependent on the host system.  This is a list of the most common
+    issues seen for this version of LFS:</para>
 
     <itemizedlist>
-
+<!--
       <listitem>
         <para>The <emphasis>nptl/tst-clock2</emphasis>,
@@ -142,10 +140,10 @@
         make -k check</command>).</para>
       </listitem>
-
+-->
       <listitem>
         <para>posix/tst-getaddrinfo4 will always fail due to not having a network
         connection when the test is run.</para>
       </listitem>
-
+<!--
       <listitem>
         <para>libio/tst-ftell-partial-wide.out fails because it needs a locale
@@ -158,5 +156,5 @@
         and stdio-common/bug22.</para>
       </listitem>
-
+-->
     </itemizedlist>
 
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/inetutils.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -63,5 +63,5 @@
           <command>logger</command> program, which is used by scripts to
           pass messages to the System Log Daemon. Do not install it because
-          Util-linux installed a version earlier.</para>
+          Util-linux installs a more recent version.</para>
         </listitem>
       </varlistentry>
Index: chapter06/ncurses.xml
===================================================================
--- chapter06/ncurses.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/ncurses.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -62,5 +62,5 @@
 
     <variablelist>
-      <title>The meaning of the configure option:</title>
+      <title>The meaning of the new configure options:</title>
 
       <varlistentry>
Index: chapter06/util-linux.xml
===================================================================
--- chapter06/util-linux.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/util-linux.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -55,4 +55,9 @@
   <sect2 role="installation">
     <title>Installation of Util-linux</title>
+
+    <para>First, fix one of the regression tests:</para>
+
+<screen><userinput remap="pre">sed -e 's/2^64/(2^64/' -e 's/E &lt;/E) &lt;=/' -e 's/ne /eq /' \
+    -i tests/ts/ipcs/limits2</userinput></screen>
 
     <para>Prepare Util-linux for compilation:</para>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter06/vim.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -59,5 +59,5 @@
     <para>To test the results, issue:</para>
 
-<screen><userinput remap="test">make test</userinput></screen>
+<screen><userinput remap="test">make -j1 test</userinput></screen>
 
     <para>However, this test suite outputs a lot of binary data to the screen,
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter08/kernel.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -106,5 +106,5 @@
         <term><parameter>Support for uevent helper</parameter></term>
         <listitem>
-          <para>Having this option set, it may interfere with device
+          <para>Having this opion set may interfere with device
           management when using Udev/Eudev. </para>
         </listitem>
Index: chapter09/theend.xml
===================================================================
--- chapter09/theend.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter09/theend.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -10,4 +10,12 @@
 
   <title>The End</title>
+
+  <indexterm zone="ch-finish-theend">
+    <primary sortas="e-/etc/lfs-release">/etc/lfs-release</primary>
+  </indexterm>
+
+  <indexterm zone="ch-finish-theend">
+    <primary sortas="e-/etc/lsb-release">/etc/lsb-release</primary>
+  </indexterm>
 
   <indexterm zone="ch-finish-theend">
Index: chapter09/whatnow.xml
===================================================================
--- chapter09/whatnow.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ chapter09/whatnow.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -30,11 +30,4 @@
 
       <itemizedlist>
-
-        <listitem>
-          <para>Freecode (<ulink url="http://freecode.com/"/>)</para>
-
-          <para>Freecode can notify you (via email) of new versions of packages
-          installed on your system.</para>
-        </listitem>
 
         <listitem>
Index: general.ent
===================================================================
--- general.ent	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ general.ent	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -1,5 +1,5 @@
-<!ENTITY version         "20140822-systemd">
+<!ENTITY version         "20140910-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "August 22, 2014">
+<!ENTITY releasedate     "September 10, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ packages.ent	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -7,5 +7,4 @@
      Allowed deviation in disk usage : 2% -->
 
-
 <!ENTITY acl-version "2.2.52">
 <!ENTITY acl-size "380 KB">
@@ -13,6 +12,6 @@
 <!ENTITY acl-md5 "a61415312426e9c2212bd7dc7929abda">
 <!ENTITY acl-home " ">
-<!ENTITY acl-ch6-du "5.4 MB">
-<!ENTITY acl-ch6-sbu "0.2 SBU">
+<!ENTITY acl-ch6-du "6.4 MB">
+<!ENTITY acl-ch6-sbu "0.1 SBU">
 
 <!ENTITY attr-version "2.4.47">
@@ -21,6 +20,6 @@
 <!ENTITY attr-md5 "84f58dec00b60f2dc8fd1c9709291cc7">
 <!ENTITY attr-home "&gnu-software;attr/">
-<!ENTITY attr-ch6-du "17.1 MB">
-<!ENTITY attr-ch6-sbu "4.5 SBU">
+<!ENTITY attr-ch6-du "3.7 MB">
+<!ENTITY attr-ch6-sbu "0.1 SBU">
 
 <!ENTITY autoconf-version "2.69">
@@ -29,6 +28,6 @@
 <!ENTITY autoconf-md5 "50f97f4159805e374639a73e2636f22e">
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
-<!ENTITY autoconf-ch6-du "17.1 MB">
-<!ENTITY autoconf-ch6-sbu "4.5 SBU">
+<!ENTITY autoconf-ch6-du "17.2 MB">
+<!ENTITY autoconf-ch6-sbu "4.3 SBU">
 
 <!ENTITY automake-version "1.14.1">
@@ -38,5 +37,5 @@
 <!ENTITY automake-md5 "7fc29854c520f56b07aa232a0f880292">
 <!ENTITY automake-home "&gnu-software;automake/">
-<!ENTITY automake-ch6-du "100 MB">
+<!ENTITY automake-ch6-du "107 MB">
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 12 SBU with tests)">
 
@@ -46,8 +45,8 @@
 <!ENTITY bash-md5 "81348932d5da294953e15d4814c74dd1">
 <!ENTITY bash-home "&gnu-software;bash/">
-<!ENTITY bash-ch5-du "44 MB">
+<!ENTITY bash-ch5-du "53 MB">
 <!ENTITY bash-ch5-sbu "0.4 SBU">
-<!ENTITY bash-ch6-du "44 MB">
-<!ENTITY bash-ch6-sbu "1.6 SBU">
+<!ENTITY bash-ch6-du "49 MB">
+<!ENTITY bash-ch6-sbu "1.7 SBU">
 
 <!ENTITY bc-version "1.06.95">
@@ -56,6 +55,6 @@
 <!ENTITY bc-md5 "5126a721b73f97d715bb72c13c889035">
 <!ENTITY bc-home "&gnu-software;bc/">
-<!ENTITY bc-ch6-du "3 MB">
-<!ENTITY bc-ch6-sbu "0.1 SBU">
+<!ENTITY bc-ch6-du "3.6 MB">
+<!ENTITY bc-ch6-sbu "0.2 SBU">
 
 <!ENTITY binutils-version "2.24">
@@ -64,10 +63,10 @@
 <!ENTITY binutils-md5 "e0f71a7b2ddab0f8612336ac81d9636b">
 <!ENTITY binutils-home "$gnu-software;binutils/">
-<!ENTITY binutils-ch5p1-du "404 MB">
+<!ENTITY binutils-ch5p1-du "445 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
-<!ENTITY binutils-ch5p2-du "417 MB">
+<!ENTITY binutils-ch5p2-du "448 MB">
 <!ENTITY binutils-ch5p2-sbu "1.1 SBU">
-<!ENTITY binutils-ch6-du "365 MB">
-<!ENTITY binutils-ch6-sbu "2.0 SBU">
+<!ENTITY binutils-ch6-du "397 MB">
+<!ENTITY binutils-ch6-sbu "2.4 SBU">
 
 <!ENTITY bison-version "3.0.2">
@@ -76,10 +75,6 @@
 <!ENTITY bison-md5 "146be9ff9fbd27497f0bf2286a5a2082">
 <!ENTITY bison-home "&gnu-software;bison/">
-<!--
-<!ENTITY bison-ch5-du "">
-<!ENTITY bison-ch5-sbu "">
--->
-<!ENTITY bison-ch6-du "31 MB">
-<!ENTITY bison-ch6-sbu "0.3 SBU">
+<!ENTITY bison-ch6-du "35 MB">
+<!ENTITY bison-ch6-sbu "2.6 SBU">
 
 <!ENTITY bzip2-version "1.0.6">
@@ -88,5 +83,5 @@
 <!ENTITY bzip2-md5 "00b516f4704d4a7cb50a1d97e6e8e15b">
 <!ENTITY bzip2-home "http://www.bzip.org/">
-<!ENTITY bzip2-ch5-du "5.7 MB">
+<!ENTITY bzip2-ch5-du "5.4 MB">
 <!ENTITY bzip2-ch5-sbu "less than 0.1 SBU">
 <!ENTITY bzip2-ch6-du "6.9 MB">
@@ -98,5 +93,5 @@
 <!ENTITY check-md5 "38263d115d784c17aa3b959ce94be8b8">
 <!ENTITY check-home "http://check.sourceforge.net/">
-<!ENTITY check-ch5-du "6.9 MB">
+<!ENTITY check-ch5-du "9.9 MB">
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
@@ -106,8 +101,8 @@
 <!ENTITY coreutils-md5 "abed135279f87ad6762ce57ff6d89c41">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
-<!ENTITY coreutils-ch5-du "133 MB">
+<!ENTITY coreutils-ch5-du "130 MB">
 <!ENTITY coreutils-ch5-sbu "0.8 SBU">
-<!ENTITY coreutils-ch6-du "116 MB">
-<!ENTITY coreutils-ch6-sbu "3.4 SBU">
+<!ENTITY coreutils-ch6-du "161 MB">
+<!ENTITY coreutils-ch6-sbu "2.4 SBU">
 
 <!ENTITY dbus-version "1.8.6">
@@ -132,7 +127,7 @@
 <!ENTITY diffutils-md5 "99180208ec2a82ce71f55b0d7389f1b3">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
-<!ENTITY diffutils-ch5-du "8.5 MB">
+<!ENTITY diffutils-ch5-du "19 MB">
 <!ENTITY diffutils-ch5-sbu "0.2 SBU">
-<!ENTITY diffutils-ch6-du "25 MB">
+<!ENTITY diffutils-ch6-du "28 MB">
 <!ENTITY diffutils-ch6-sbu "0.5 SBU">
 
@@ -140,11 +135,11 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.42.11">
-<!ENTITY e2fsprogs-size "6,205 KB">
+<!ENTITY e2fsprogs-version "1.42.12">
+<!ENTITY e2fsprogs-size "6,233 KB">
 <!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "412acbbd64a866c2ed1c729deaf4ae7c">
+<!ENTITY e2fsprogs-md5 "68255f51be017a93f2f6402fab06c2bf">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
-<!ENTITY e2fsprogs-ch6-du "64 MB">
-<!ENTITY e2fsprogs-ch6-sbu "1.7 SBU">
+<!ENTITY e2fsprogs-ch6-du "47 MB">
+<!ENTITY e2fsprogs-ch6-sbu "3.8 SBU">
 
 <!ENTITY expat-version "2.1.0">
@@ -153,5 +148,5 @@
 <!ENTITY expat-md5 "dd7dab7a5fea97d2a6a43f511449b7cd">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
-<!ENTITY expat-ch6-du "7.5 MB">
+<!ENTITY expat-ch6-du "9.4 MB">
 <!ENTITY expat-ch6-sbu "0.1 SBU">
 
@@ -162,5 +157,5 @@
 <!ENTITY expect-md5 "44e1a4f4c877e9ddc5a542dfa7ecc92b">
 <!ENTITY expect-home "http://expect.sourceforge.net/">
-<!ENTITY expect-ch5-du "4.4 MB">
+<!ENTITY expect-ch5-du "4.3 MB">
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
@@ -170,7 +165,7 @@
 <!ENTITY file-md5 "e3526f59023f3f7d1ffa4d541335edab">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
-<!ENTITY file-ch5-du "12.4 MB">
+<!ENTITY file-ch5-du "11.8 MB">
 <!ENTITY file-ch5-sbu "0.1 SBU">
-<!ENTITY file-ch6-du "12.5 MB">
+<!ENTITY file-ch6-du "11.8 MB">
 <!ENTITY file-ch6-sbu "0.1 SBU">
 
@@ -180,7 +175,7 @@
 <!ENTITY findutils-md5 "351cc4adb07d54877fa15f75fb77d39f">
 <!ENTITY findutils-home "&gnu-software;findutils/">
-<!ENTITY findutils-ch5-du "27 MB">
+<!ENTITY findutils-ch5-du "25 MB">
 <!ENTITY findutils-ch5-sbu "0.2 SBU">
-<!ENTITY findutils-ch6-du "29 MB">
+<!ENTITY findutils-ch6-du "28 MB">
 <!ENTITY findutils-ch6-sbu "0.4 SBU">
 
@@ -190,9 +185,5 @@
 <!ENTITY flex-md5 "77d44c6bb8c0705e0017ab9a84a1502b">
 <!ENTITY flex-home "http://flex.sourceforge.net">
-<!--
-<!ENTITY flex-ch5-du "">
-<!ENTITY flex-ch5-sbu "">
--->
-<!ENTITY flex-ch6-du "39 MB">
+<!ENTITY flex-ch6-du "36 MB">
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
@@ -202,8 +193,8 @@
 <!ENTITY gawk-md5 "a2a26543ce410eb74bc4a508349ed09a">
 <!ENTITY gawk-home "&gnu-software;gawk/">
-<!ENTITY gawk-ch5-du "30 MB">
-<!ENTITY gawk-ch5-sbu "0.2 SBU">
-<!ENTITY gawk-ch6-du "30 MB">
-<!ENTITY gawk-ch6-sbu "0.2 SBU">
+<!ENTITY gawk-ch5-du "33 MB">
+<!ENTITY gawk-ch5-sbu "0.3 SBU">
+<!ENTITY gawk-ch6-du "34 MB">
+<!ENTITY gawk-ch6-sbu "0.3 SBU">
 
 <!ENTITY gcc-version "4.9.1">
@@ -213,9 +204,12 @@
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.0 GB">
-<!ENTITY gcc-ch5p1-sbu "7.3 SBU">
+<!ENTITY gcc-ch5p1-sbu "7.4 SBU">
 <!ENTITY gcc-ch5p2-du "2.2 GB">
-<!ENTITY gcc-ch5p2-sbu "9.6 SBU">
-<!ENTITY gcc-ch6-du "2.5 GB">
-<!ENTITY gcc-ch6-sbu "83 SBU">
+<!ENTITY gcc-ch5p2-sbu "9.8 SBU">
+<!ENTITY gcc-ch6-du "2.6 GB ">
+<!ENTITY gcc-ch6-sbu "84 SBU (with tests)">
+
+<!ENTITY libstdcpp-ch5-du "734 MB">
+<!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
 <!ENTITY gdbm-version "1.11">
@@ -224,7 +218,5 @@
 <!ENTITY gdbm-md5 "72c832680cf0999caedbe5b265c8c1bd">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
-<!ENTITY gdbm-ch5-du "2.7 MB">
-<!ENTITY gdbm-ch5-sbu "0.1 SBU">
-<!ENTITY gdbm-ch6-du "8.5 MB">
+<!ENTITY gdbm-ch6-du "10.9 MB">
 <!ENTITY gdbm-ch6-sbu "0.1 SBU">
 
@@ -234,19 +226,18 @@
 <!ENTITY gettext-md5 "1e6a827f5fbd98b3d40bd16b803acc44">
 <!ENTITY gettext-home "&gnu-software;gettext/">
-<!ENTITY gettext-ch5-du "119 MB">
-<!ENTITY gettext-ch5-sbu "0.6 SBU">
-<!ENTITY gettext-ch6-du "199 MB">
-<!ENTITY gettext-ch6-sbu "2.3 SBU">
+<!ENTITY gettext-ch5-du "140 MB">
+<!ENTITY gettext-ch5-sbu "0.7 SBU">
+<!ENTITY gettext-ch6-du "200 MB">
+<!ENTITY gettext-ch6-sbu "2.8 SBU">
 
 <!ENTITY glibc-version "2.20">
-<!ENTITY glibc-size "11,972 KB">
-<!--<!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">-->
-<!ENTITY glibc-url "http://www.linuxfromscratch.org/~krejzi/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "5e19fbca6d3441f78ce5665a01e81420">
+<!ENTITY glibc-size "11,997 KB">
+<!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
+<!ENTITY glibc-md5 "948a6e06419a01bd51e97206861595b0">
 <!ENTITY glibc-home "&gnu-software;libc/">
-<!ENTITY glibc-ch5-du "594 MB">
-<!ENTITY glibc-ch5-sbu "4.7 SBU">
-<!ENTITY glibc-ch6-du "979 MB">
-<!ENTITY glibc-ch6-sbu "17.1 SBU">
+<!ENTITY glibc-ch5-du "592 MB">
+<!ENTITY glibc-ch5-sbu "5.0 SBU">
+<!ENTITY glibc-ch6-du "983 MB">
+<!ENTITY glibc-ch6-sbu "18.9 SBU">
 
 <!ENTITY gmp-version "6.0.0a">
@@ -256,8 +247,6 @@
 <!ENTITY gmp-md5 "1e6da4e434553d2811437aa42c7f7c76">
 <!ENTITY gmp-home "&gnu-software;gmp/">
-<!ENTITY gmp-ch5-du "39 MB">
-<!ENTITY gmp-ch5-sbu "1.5 SBU">
-<!ENTITY gmp-ch6-du "50 MB">
-<!ENTITY gmp-ch6-sbu "1.2 SBU">
+<!ENTITY gmp-ch6-du "61 MB">
+<!ENTITY gmp-ch6-sbu "0.9 SBU">
 
 <!ENTITY gperf-version "3.0.4">
@@ -266,6 +255,6 @@
 <!ENTITY gperf-md5 "c1f1db32fb6598d6a93e6e88796a8632">
 <!ENTITY gperf-home "&gnu-software;gperf/">
-<!ENTITY gperf-ch6-du "6.5 MB">
-<!ENTITY gperf-ch6-sbu "0.1 SBU">
+<!ENTITY gperf-ch6-du "5.5 MB">
+<!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
 <!ENTITY grep-version "2.20">
@@ -274,8 +263,8 @@
 <!ENTITY grep-md5 "2cbea44a4f1548aee20b9ff2d3076908">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "21 MB">
+<!ENTITY grep-ch5-du "18 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "31 MB">
-<!ENTITY grep-ch6-sbu "0.4 SBU">
+<!ENTITY grep-ch6-du "30 MB">
+<!ENTITY grep-ch6-sbu "0.5 SBU">
 
 <!ENTITY groff-version "1.22.2">
@@ -285,5 +274,5 @@
 <!ENTITY groff-home "&gnu-software;groff/">
 <!ENTITY groff-ch6-du "83 MB">
-<!ENTITY groff-ch6-sbu "0.5 SBU">
+<!ENTITY groff-ch6-sbu "0.6 SBU">
 
 <!ENTITY grub-version "2.00">
@@ -292,6 +281,6 @@
 <!ENTITY grub-md5 "a1043102fbc7bcedbf53e7ee3d17ab91">
 <!ENTITY grub-home "&gnu-software;grub/">
-<!ENTITY grub-ch6-du "112 MB">
-<!ENTITY grub-ch6-sbu "0.7 SBU">
+<!ENTITY grub-ch6-du "110 MB">
+<!ENTITY grub-ch6-sbu "0.8 SBU">
 
 <!ENTITY gzip-version "1.6">
@@ -300,7 +289,7 @@
 <!ENTITY gzip-md5 "da981f86677d58a106496e68de6f8995">
 <!ENTITY gzip-home "&gnu-software;gzip/">
-<!ENTITY gzip-ch5-du "10 MB">
-<!ENTITY gzip-ch5-sbu "0.2 SBU">
-<!ENTITY gzip-ch6-du "19.7 MB">
+<!ENTITY gzip-ch5-du "9.9 MB">
+<!ENTITY gzip-ch5-sbu "0.1 SBU">
+<!ENTITY gzip-ch6-du "19.6 MB">
 <!ENTITY gzip-ch6-sbu "0.2 SBU">
 
@@ -318,6 +307,6 @@
 <!ENTITY inetutils-md5 "aa1a9a132259db83e66c1f3265065ba2">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
-<!ENTITY inetutils-ch6-du "27 MB">
-<!ENTITY inetutils-ch6-sbu "0.4 SBU">
+<!ENTITY inetutils-ch6-du "29 MB">
+<!ENTITY inetutils-ch6-sbu "0.5 SBU">
 
 <!ENTITY intltool-version "0.50.2">
@@ -326,6 +315,6 @@
 <!ENTITY intltool-md5 "23fbd879118253cb99aeac067da5f591">
 <!ENTITY intltool-home "http://freedesktop.org/wiki/Software/intltool">
-<!ENTITY intltool-ch6-du "1.4 MB">
-<!ENTITY intltool-ch6-sbu "0.1 SBU">
+<!ENTITY intltool-ch6-du "1.3 MB">
+<!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
 <!ENTITY iproute2-version "3.16.0">
@@ -334,6 +323,6 @@
 <!ENTITY iproute2-md5 "6c823b40fdcfa7b8120743349a52ac18">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
-<!ENTITY iproute2-ch6-du "7.3 MB">
-<!ENTITY iproute2-ch6-sbu "0.1 SBU">
+<!ENTITY iproute2-ch6-du "8.3 MB">
+<!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
 <!ENTITY kbd-version "2.0.2">
@@ -342,5 +331,5 @@
 <!ENTITY kbd-md5 "ba56fb5bfd44acea83fc5dac4a9b7f15">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
-<!ENTITY kbd-ch6-du "20 MB">
+<!ENTITY kbd-ch6-du "28 MB">
 <!ENTITY kbd-ch6-sbu "0.1 SBU">
 
@@ -359,5 +348,5 @@
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
 <!ENTITY less-ch6-du "3.6 MB">
-<!ENTITY less-ch6-sbu "less than 0.1 SBU">
+<!ENTITY less-ch6-sbu "0.1 SBU">
 
 <!ENTITY libcap-version "2.24">
@@ -366,6 +355,6 @@
 <!ENTITY libcap-md5 "d43ab9f680435a7fff35b4ace8d45b80">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
-<!ENTITY libcap-ch6-du "1.7 MB">
-<!ENTITY libcap-ch6-sbu "0.1 SBU">
+<!ENTITY libcap-ch6-du "1.4 MB">
+<!ENTITY libcap-ch6-sbu "less than 0.1 SBU">
 
 <!ENTITY libpipeline-version "1.3.0">
@@ -374,9 +363,6 @@
 <!ENTITY libpipeline-md5 "242428c01dca255cdcb2195073a9c6ed">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
-<!ENTITY libpipeline-ch6-du "7.4 MB">
+<!ENTITY libpipeline-ch6-du "7.7 MB">
 <!ENTITY libpipeline-ch6-sbu "0.2 SBU">
-
-<!ENTITY libstdcpp-ch5-du "734 MB">
-<!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
 <!ENTITY libtool-version "2.4.2">
@@ -390,10 +376,10 @@
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "78,602 KB">
+<!ENTITY linux-size "78,625 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "e7a985a243b7941b6bc6240fcbc797fc">
+<!ENTITY linux-md5 "227814a1a523992400da5d5437552445">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -403,7 +389,7 @@
 <!ENTITY linux-ch8-sbu "3.0 - 49.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "584 MB">
+<!ENTITY linux-headers-ch5-du "642 MB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "588 MB">
+<!ENTITY linux-headers-ch6-du "647 MB">
 <!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
@@ -413,8 +399,8 @@
 <!ENTITY m4-md5 "12a3c829301a4fd6586a57d3fcf196dc">
 <!ENTITY m4-home "&gnu-software;m4/">
-<!ENTITY m4-ch5-du "30 MB">
+<!ENTITY m4-ch5-du "19 MB">
 <!ENTITY m4-ch5-sbu "0.2 SBU">
 <!ENTITY m4-ch6-du "30 MB">
-<!ENTITY m4-ch6-sbu "0.4 SBU">
+<!ENTITY m4-ch6-sbu "0.5 SBU">
 
 <!ENTITY make-version "4.0">
@@ -423,8 +409,8 @@
 <!ENTITY make-md5 "571d470a7647b455e3af3f92d79f1c18">
 <!ENTITY make-home "&gnu-software;make/">
-<!ENTITY make-ch5-du "11.2 MB">
+<!ENTITY make-ch5-du "11.7 MB">
 <!ENTITY make-ch5-sbu "0.1 SBU">
-<!ENTITY make-ch6-du "11.3 MB">
-<!ENTITY make-ch6-sbu "0.4 SBU">
+<!ENTITY make-ch6-du "11.8 MB">
+<!ENTITY make-ch6-sbu "0.5 SBU">
 
 <!ENTITY man-db-version "2.6.7.1">
@@ -433,13 +419,13 @@
 <!ENTITY man-db-md5 "ce7b697f8e8016a085d9f5975ae6c4fb">
 <!ENTITY man-db-home "http://www.nongnu.org/man-db/">
-<!ENTITY man-db-ch6-du "27 MB">
+<!ENTITY man-db-ch6-du "28 MB">
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.71">
-<!ENTITY man-pages-size "1,244 KB">
+<!ENTITY man-pages-version "3.72">
+<!ENTITY man-pages-size "1,246 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "9a2a288f1e481045c991e0cb476127d8">
+<!ENTITY man-pages-md5 "3ca69a6263d9863ccace2e53b9bcff86">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
-<!ENTITY man-pages-ch6-du "27 MB">
+<!ENTITY man-pages-ch6-du "24 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
@@ -449,8 +435,6 @@
 <!ENTITY mpc-md5 "68fadff3358fb3e7976c7a398a0af4c3">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
-<!ENTITY mpc-ch5-du "5.6 MB">
-<!ENTITY mpc-ch5-sbu "0.1 SBU">
-<!ENTITY mpc-ch6-du "10.2 MB">
-<!ENTITY mpc-ch6-sbu "0.4 SBU">
+<!ENTITY mpc-ch6-du "10.5 MB">
+<!ENTITY mpc-ch6-sbu "0.5 SBU">
 
 <!ENTITY mpfr-version "3.1.2">
@@ -459,8 +443,6 @@
 <!ENTITY mpfr-md5 "e3d203d188b8fe60bb6578dd3152e05c">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
-<!ENTITY mpfr-ch5-du "27 MB">
-<!ENTITY mpfr-ch5-sbu "1.0 SBU">
-<!ENTITY mpfr-ch6-du "27 MB">
-<!ENTITY mpfr-ch6-sbu "0.8 SBU">
+<!ENTITY mpfr-ch6-du "28 MB">
+<!ENTITY mpfr-ch6-sbu "0.9 SBU">
 
 <!ENTITY ncurses-version "5.9">
@@ -469,6 +451,6 @@
 <!ENTITY ncurses-md5 "8cb9c412e5f2d96bc6f459aa8c6282a1">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-ch5-du "35 MB">
-<!ENTITY ncurses-ch5-sbu "0.5 SBU">
+<!ENTITY ncurses-ch5-du "36 MB">
+<!ENTITY ncurses-ch5-sbu "0.6 SBU">
 <!ENTITY ncurses-ch6-du "40 MB">
 <!ENTITY ncurses-ch6-sbu "0.6 SBU">
@@ -479,8 +461,8 @@
 <!ENTITY patch-md5 "e9ae5393426d3ad783a300a338c09b72">
 <!ENTITY patch-home "http://savannah.gnu.org/projects/patch/">
-<!ENTITY patch-ch5-du "3.4 MB">
-<!ENTITY patch-ch5-sbu "0.1 SBU">
-<!ENTITY patch-ch6-du "3.4 MB">
-<!ENTITY patch-ch6-sbu "less than 0.1 SBU">
+<!ENTITY patch-ch5-du "9.5 MB">
+<!ENTITY patch-ch5-sbu "0.2 SBU">
+<!ENTITY patch-ch6-du "9.6 MB">
+<!ENTITY patch-ch6-sbu "0.2 SBU">
 
 <!ENTITY perl-version "5.20.0">
@@ -489,8 +471,8 @@
 <!ENTITY perl-md5 "20cbecd4e9e880ee7a50a136c8b1484e">
 <!ENTITY perl-home "http://www.perl.org/">
-<!ENTITY perl-ch5-du "235 MB">
+<!ENTITY perl-ch5-du "238 MB">
 <!ENTITY perl-ch5-sbu "1.6 SBU">
-<!ENTITY perl-ch6-du "246 MB">
-<!ENTITY perl-ch6-sbu "6.7 SBU">
+<!ENTITY perl-ch6-du "236 MB">
+<!ENTITY perl-ch6-sbu "7.5 SBU">
 
 <!ENTITY pkgconfig-version "0.28">
@@ -499,5 +481,5 @@
 <!ENTITY pkgconfig-md5 "aa3c86e67551adc3ac865160e34a2a0d">
 <!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
-<!ENTITY pkgconfig-ch6-du "31 MB">
+<!ENTITY pkgconfig-ch6-du "29 MB">
 <!ENTITY pkgconfig-ch6-sbu "0.4 SBU">
 
@@ -507,5 +489,5 @@
 <!ENTITY procps-ng-md5 "0980646fa25e0be58f7afb6b98f79d74">
 <!ENTITY procps-ng-home "http://sourceforge.net/projects/procps-ng">
-<!ENTITY procps-ng-ch6-du "13 MB">
+<!ENTITY procps-ng-ch6-du "11 MB">
 <!ENTITY procps-ng-ch6-sbu "0.2 SBU">
 
@@ -523,5 +505,5 @@
 <!ENTITY readline-md5 "33c8fb279e981274f485fd91da77e94a">
 <!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
-<!ENTITY readline-ch6-du "16.5 MB">
+<!ENTITY readline-ch6-du "17.8 MB">
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
@@ -531,7 +513,7 @@
 <!ENTITY sed-md5 "7ffe1c7cdc3233e1e0c4b502df253974">
 <!ENTITY sed-home "&gnu-software;sed/">
-<!ENTITY sed-ch5-du "10.5 MB">
+<!ENTITY sed-ch5-du "10.1 MB">
 <!ENTITY sed-ch5-sbu "0.1 SBU">
-<!ENTITY sed-ch6-du "6.7 MB">
+<!ENTITY sed-ch6-du "10.9 MB">
 <!ENTITY sed-ch6-sbu "0.2 SBU">
 
@@ -557,17 +539,17 @@
 <!ENTITY tar-md5 "49b6306167724fe48f419a33a5beb857">
 <!ENTITY tar-home "&gnu-software;tar/">
-<!ENTITY tar-ch5-du "20.6 MB">
+<!ENTITY tar-ch5-du "32 MB">
 <!ENTITY tar-ch5-sbu "0.4 SBU">
-<!ENTITY tar-ch6-du "34 MB">
+<!ENTITY tar-ch6-du "39 MB">
 <!ENTITY tar-ch6-sbu "2.4 SBU">
 
-<!ENTITY tcl-version "8.6.1">
+<!ENTITY tcl-version "8.6.2">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "8,551 KB">
+<!ENTITY tcl-size "8,650 KB">
 <!ENTITY tcl-url "http://downloads.sourceforge.net/project/tcl/Tcl/&tcl-version;/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "aae4b701ee527c6e4e1a6f9c7399882e">
+<!ENTITY tcl-md5 "8103eaf6d71acb716a64224492f09d5f">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
-<!ENTITY tcl-ch5-du "55 MB">
-<!ENTITY tcl-ch5-sbu "0.4 SBU">
+<!ENTITY tcl-ch5-du "61 MB">
+<!ENTITY tcl-ch5-sbu "0.9 SBU">
 
 <!ENTITY texinfo-version "5.2">
@@ -576,26 +558,24 @@
 <!ENTITY texinfo-md5 "cb489df8a7ee9d10a236197aefdb32c5">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
-<!ENTITY texinfo-ch5-du "94 MB">
-<!ENTITY texinfo-ch5-sbu "0.3 SBU">
-<!ENTITY texinfo-ch6-du "101 MB">
+<!ENTITY texinfo-ch5-du "91 MB">
+<!ENTITY texinfo-ch5-sbu "0.2 SBU">
+<!ENTITY texinfo-ch6-du "99 MB">
 <!ENTITY texinfo-ch6-sbu "0.6 SBU">
 
-<!ENTITY tzdata-version "2014f">
-<!ENTITY tzdata-size "226 KB">
+<!ENTITY tzdata-version "2014g">
+<!ENTITY tzdata-size "279 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "f333b2e8f876221a97871cae0c188aa5">
+<!ENTITY tzdata-md5 "f9f59425e55b21d2e52bb3a95fc17b8d">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
-<!ENTITY tzdata-ch6-du "6.4 MB">
-<!ENTITY tzdata-ch6-sbu "less than 0.1 SBU">
-
-<!ENTITY util-linux-version "2.25">
-<!ENTITY util-linux-size "3,596 KB">
+
+<!ENTITY util-linux-version "2.25.1">
+<!ENTITY util-linux-size "3,609 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.25/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "4c78fdef4cb882caafad61e33cafbc14">
+<!ENTITY util-linux-md5 "2ff36a8f8ede70f66c5ad0fb09e40e79">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
-<!ENTITY util-linux-ch5-du "89 MB">
-<!ENTITY util-linux-ch5-sbu "0.6 SBU">
-<!ENTITY util-linux-ch6-du "89 MB">
-<!ENTITY util-linux-ch6-sbu "0.6 SBU">
+<!ENTITY util-linux-ch5-du "104 MB">
+<!ENTITY util-linux-ch5-sbu "0.7 SBU">
+<!ENTITY util-linux-ch6-du "110 MB">
+<!ENTITY util-linux-ch6-sbu "1.5 SBU">
 
 <!ENTITY vim-version "7.4">
@@ -605,6 +585,6 @@
 <!ENTITY vim-md5 "607e135c559be642f210094ad023dc65">
 <!ENTITY vim-home "http://www.vim.org">
-<!ENTITY vim-ch6-du "121 MB">
-<!ENTITY vim-ch6-sbu "1.4 SBU">
+<!ENTITY vim-ch6-du "109 MB">
+<!ENTITY vim-ch6-sbu "1.3 SBU">
 
 <!ENTITY xml-parser-version "2.42_01">
@@ -613,6 +593,6 @@
 <!ENTITY xml-parser-md5 "a4650aebcc464bb91113c2c356da8210">
 <!ENTITY xml-parser-home "https://github.com/chorny/XML-Parser">
-<!ENTITY xml-parser-ch6-du "2.5 MB">
-<!ENTITY xml-parser-ch6-sbu "0.1 SBU">
+<!ENTITY xml-parser-ch6-du "2.0 MB">
+<!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
 <!ENTITY xz-version "5.0.5">
@@ -621,5 +601,5 @@
 <!ENTITY xz-md5 "aa17280f4521dbeebed0fbd11cd7fa30">
 <!ENTITY xz-home "http://tukaani.org/xz">
-<!ENTITY xz-ch5-du "16.3 MB">
+<!ENTITY xz-ch5-du "15.9 MB">
 <!ENTITY xz-ch5-sbu "0.2 SBU">
 <!ENTITY xz-ch6-du "18 MB">
@@ -631,5 +611,5 @@
 <!ENTITY zlib-md5 "28f1205d8dd2001f26fec1e8c2cebe37">
 <!ENTITY zlib-home "http://www.zlib.net/">
-<!ENTITY zlib-ch6-du "4.6 MB">
+<!ENTITY zlib-ch6-du "4.1 MB">
 <!ENTITY zlib-ch6-sbu "less than 0.1 SBU">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ patches.ent	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -38,9 +38,7 @@
 -->
 
-<!--
 <!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
-<!ENTITY gcc-upstream-patch-md5 "f070aae5f5f92259ed167539725e6241">
-<!ENTITY gcc-upstream-patch-size "4.0 KB">
--->
+<!ENTITY gcc-upstream-patch-md5 "015e026dff5052cd65906ee0bb8f25e8">
+<!ENTITY gcc-upstream-patch-size "8.6 KB">
 
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
Index: prologue/why.xml
===================================================================
--- prologue/why.xml	(revision 5fe3e2ff93ba2e7d4dce301ffe626e60189a2d31)
+++ prologue/why.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
@@ -24,21 +24,4 @@
         <para>Acl</para>
 
-        <para>This package contains programs to administer Access Control
-        Lists, which are used to define more fine-grained discretionary access
-        rights for files and directories. It is required by Systemd
-        and can be used by Coreutils.</para>
-      </listitem>
-
-      <listitem>
-        <para>Attr</para>
-
-        <para>This package contains programs for working with extended
-        attributes on filesystem objects.  It is required by the libcap
-        library.</para>
-      </listitem>
-
-      <listitem>
-        <para>Acl</para>
-
         <para>This package contains utilities to administer Access 
         Control Lists, which are used to define more fine-grained 
@@ -172,12 +155,4 @@
 
       <listitem>
-        <para>Expat</para>
-
-        <para>This package contains programs for parsing XML.  It is
-        required for XML-Parser.
-        </para>
-      </listitem>
-
-      <listitem>
         <para>Expect</para>
 
@@ -258,14 +233,6 @@
         <para>Gperf</para>
 
-        <para>This package generates a perfect hash from a key set; it is
-        required by Systemd.</para>
-      </listitem>
-
-      <listitem>
-        <para>Gperf</para>
-
-        <para>This package a program that generates a perfect hash function 
-        from a key set.  It is required for systemd.
-        </para>
+        <para>This package contains a program that generates a perfect hash
+        function from a key set. It is required for systemd.</para>
       </listitem>
 
@@ -317,11 +284,4 @@
         <para>Intltool</para>
 
-        <para>This package contains internationalization tools; it is required
-        by Systemd.</para>
-      </listitem>
-
-      <listitem>
-        <para>Intltool</para>
-
         <para>This package contains tools for extracting translatable 
         strings from source files.</para>
@@ -356,12 +316,4 @@
         allows scrolling up or down when viewing a file. It is also used by
         Man-DB for viewing manpages.</para>
-      </listitem>
-
-      <listitem>
-        <para>Libcap</para>
-
-        <para>This package contains functions that enable root privileges to be
-        partitioned into a set of distinct privileges.  It is required by
-        Systemd.</para>
       </listitem>
 
@@ -511,11 +463,4 @@
         <para>This package contains programs for handling passwords
         in a secure way.</para>
-      </listitem>
-
-      <listitem>
-        <para>Systemd</para>
-
-        <para>This package contains programs for controlling the startup,
-        running, and shutdown of the system.</para>
       </listitem>
 
@@ -531,10 +476,4 @@
 
       <listitem>
-        <para>Sysvinit</para>
-
-        <para>This package provides misc. utils needed by some packages.</para>
-      </listitem>
-
-      <listitem>
         <para>Tar</para>
 
@@ -579,11 +518,4 @@
         <para>XML::Parser</para>
 
-        <para>This package contains an XML Parsing library for Perl.  It is
-        required by the Intltool package.</para>
-      </listitem>
-
-      <listitem>
-        <para>XML::Parser</para>
-
         <para>This package is a Perl module that interfaces with Expat.</para>
       </listitem>
